<?php get_header(); ?>

	<div class="content">

		<?php if (have_posts()) : ?>
		<?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>
		<?php /* If this is a category archive */ if (is_category()) { ?>				
		<h2 class="archive-title">Archive for the '<?php echo single_cat_title(); ?>' Category</h2>
		<?php /* If this is a daily archive */ } elseif (is_day()) { ?>
		<h2 class="archive-title">Archive for <?php the_time('F jS, Y'); ?></h2>
		<?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
		<h2 class="archive-title">Archive for <?php the_time('F, Y'); ?></h2>
		<?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
		<h2 class="archive-title">Archive for <?php the_time('Y'); ?></h2>
		<?php /* If this is a search */ } elseif (is_search()) { ?>
		<h2 class="archive-title">Search Results</h2>
		<?php /* If this is an author archive */ } elseif (is_author()) { ?>
		<h2 class="archive-title">Author Archive</h2>
		<?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
		<h2 class="archive-title">Blog Archives</h2>
		<?php } ?>

		<div class="content-nav">
			<div class="float-left"><?php posts_nav_link('','','&laquo; Previous Entries') ?></div>
			<div class="float-right"><?php posts_nav_link('','Next Entries &raquo;','') ?></div>
			<div class="clearing-float"></div>
		</div>

		<?php while (have_posts()) : the_post(); ?>

		<div class="post<?php if(is_home() && $post==$posts[0] && !is_paged()) echo ' firstpost';?>">
			<h2 id="post-<?php the_ID(); ?>"><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>"><?php the_title(); ?></a></h2>
			<div class="category">
				<div class="float-left">Filed under <?php the_category(', ') ?></div>
				<div class="float-right"><?php comments_popup_link('No Comments', 'Comment (1)', 'Comments (%)'); ?></div>
				<div class="clearing"></div>
			</div>

			<div class="entry">
				<?php the_excerpt(); ?>
				<div class="post-meta">Posted on <?php the_time('F jS, Y') ?></div>
			</div>

			<div class="clearing"></div>

		</div>

		<?php endwhile; ?>
		<div class="content-nav">
			<div class="float-left"><?php posts_nav_link('','','&laquo; Previous Entries') ?></div>
			<div class="float-right"><?php posts_nav_link('','Next Entries &raquo;','') ?></div>
			<div class="clearing-float"></div>
		</div>

		<?php else : ?>
			<h2 class="pagetitle">Page Not Found</h2>
		<?php endif; ?>

	</div>

<?php get_sidebar(); ?>
<?php get_footer(); ?>