<?php get_header(); ?>

	<div class="content">

		<div class="content-nav-single">
			<div class="float-left"><?php previous_post('&laquo; %','','yes') ?></div>
			<div class="float-right"><?php next_post('% &raquo;','','yes') ?></div>
			<div class="clearing-float"></div>
		</div>

		<?php if (have_posts()) : while (have_posts()) : the_post(); ?>

		<div class="post">
			<h2 id="post-<?php the_ID(); ?>"><?php the_title(); ?></h2>
			<div class="entry">
				<?php the_content(); ?>
				<?php link_pages('<p><strong>Pages:</strong> ', '</p>', 'number'); ?>

				<div class="post-metadata">
						This entry was posted
						<?php /* This is commented, because it requires a little adjusting sometimes.
							You'll need to download this plugin, and follow the instructions:
							http://binarybonsai.com/archives/2004/08/17/time-since-plugin/ */
							/* $entry_datetime = abs(strtotime($post->post_date) - (60*120)); echo time_since($entry_datetime); echo ' ago'; */ ?> 
						on <?php the_time('l, F jS, Y') ?> at <?php the_time() ?>
						and is filed under <?php the_category(', ') ?>.
						<?php if (('open' == $post-> comment_status) && ('open' == $post->ping_status)) {
							// Both Comments and Pings are open ?>
						You can <a href="<?php trackback_url(display); ?>">trackback</a> from your own site.
						<?php } elseif (!('open' == $post-> comment_status) && ('open' == $post->ping_status)) {
							// Only Pings are Open ?>
						Responses are currently closed, but you can <a href="<?php trackback_url(display); ?> ">trackback</a> from your own site.
						<?php } elseif (('open' == $post-> comment_status) && !('open' == $post->ping_status)) {
							// Comments are open, Pings are not ?>
						You can skip to the end and leave a response. Pinging is currently not allowed.
						<?php } elseif (!('open' == $post-> comment_status) && !('open' == $post->ping_status)) {
							// Neither Comments, nor Pings are open ?>
						Both comments and pings are currently closed.			
						<?php } edit_post_link('Edit this entry.','',''); ?>
				</div>
			</div>
		</div>

		<?php comments_template(); ?>

		<?php endwhile; else: ?>
		<p><?php _e('Sorry, no posts matched your criteria.'); ?></p>
		<?php endif; ?>

	</div>

<?php get_sidebar(); ?>
<?php get_footer(); ?>